package api

const (
	ErrUnexpected Message = iota + 1
	ErrBadRequest
	ErrSaveFailed
	ErrDeleteFailed
	ErrAlreadyExists
	ErrNotFound
	ErrUnauthorized
	ErrForbidden
	ErrEntityNotFound
	ErrInternalServer
	MsgChangesSaved
)

var Messages = MessageMap{
	// Error messages:
	ErrUnexpected:     "Unexpected error, please try again",
	ErrBadRequest:     "Invalid request",
	ErrSaveFailed:     "Changes could not be saved",
	ErrDeleteFailed:   "Could not be deleted",
	ErrAlreadyExists:  "Duplicated key, item already exists",
	ErrNotFound:       "Record not found",
	ErrUnauthorized:   "Unauthorized",
	ErrForbidden:      "Permission denied",
	ErrEntityNotFound: "Entity not found",
	ErrInternalServer: "Internal server error",

	// Info and confirmation messages:
	MsgChangesSaved: "Changes successfully saved",
}
